Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jna.platform.win32
Class WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

    java.lang.Object
      com.sun.jna.Structure
          com.sun.jna.platform.win32.WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

Enclosing interface:
  WinCrypt

    public static class WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

extends com.sun.jna.Structure

The CRYPTPROTECT_PROMPTSTRUCT structure provides the text of a prompt and information about when and where that prompt is to be displayed when using the CryptProtectData and CryptUnprotectData functions.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.jna.Structure
`com.sun.jna.Structure.ByReference, com.sun.jna.Structure.ByValue`

Field Summary
`int` | `cbSize` Size of this structure in bytes.
`int` | `dwPromptFlags` DWORD flags that indicate when prompts to the user are to be displayed.
`WinDef.HWND` | `hwndApp` Window handle to the parent window.
`java.lang.String` | `szPrompt` A string containing the text of a prompt to be displayed.

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`WinCrypt.CRYPTPROTECT_PROMPTSTRUCT()`
`WinCrypt.CRYPTPROTECT_PROMPTSTRUCT(com.sun.jna.Pointer memory)`

Method Summary

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, getAutoRead, getAutoWrite, getFieldOrder, getFields, getNativeAlignment, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### cbSize

    public int cbSize

  Size of this structure in bytes.

### dwPromptFlags

    public int dwPromptFlags

  DWORD flags that indicate when prompts to the user are to be displayed.

### hwndApp

    public WinDef.HWND hwndApp

  Window handle to the parent window.

### szPrompt

    public java.lang.String szPrompt

  A string containing the text of a prompt to be displayed.

Constructor Detail

### WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

    public WinCrypt.CRYPTPROTECT_PROMPTSTRUCT()

### WinCrypt.CRYPTPROTECT_PROMPTSTRUCT

    public WinCrypt.CRYPTPROTECT_PROMPTSTRUCT(com.sun.jna.Pointer memory)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD